# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# /work/aggregate/mkl-service-feedstock/recipe, last modified Mon May  1 13:35:18 2023
# ------------------------------------------------

package:
  name: mkl-service
  version: 2.4.0
source:
  patches:
    - patches/0001-Conditional-mpich2.patch
  sha256: 7c515b7a1442c58b81c027fd13d188b28283df7c4d7df615e0c2f7618eb4a69c
  url: https://github.com/IntelPython/mkl-service/archive/v2.4.0.post0.tar.gz
build:
  ignore_run_exports:
    - blas
    - mkl-service
  number: '1'
  string: py311h5eee18b_1
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 haa98f57_10
    - binutils_impl_linux-64 2.38 h2a08ee3_1
    - binutils_linux-64 2.38.0 hc2dff05_0
    - gcc_impl_linux-64 11.2.0 h1234567_1
    - gcc_linux-64 11.2.0 h5c386dc_0
    - kernel-headers_linux-64 3.10.0 h57e8cba_10
    - ld_impl_linux-64 2.38 h1181459_1
    - libgcc-devel_linux-64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - patch 2.7.6 h7b6447c_1001
    - sysroot_linux-64 2.17 h57e8cba_10
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - blas 1.0 mkl
    - bzip2 1.0.8 h7b6447c_0
    - ca-certificates 2023.01.10 h06a4308_0
    - cython 0.29.33 py311h6a678d5_0
    - intel-openmp 2023.1.0 hdb19cb5_46305
    - ld_impl_linux-64 2.38 h1181459_1
    - libffi 3.4.2 h6a678d5_6
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h5eee18b_0
    - mkl 2023.1.0 h6d00ec8_46342
    - mkl-devel 2023.1.0 h2fb9e7e_46342
    - mkl-include 2023.1.0 h06a4308_46342
    - ncurses 6.4 h6a678d5_0
    - openssl 1.1.1t h7f8727e_0
    - python 3.11.3 h7a1cb2a_0
    - readline 8.2 h5eee18b_0
    - setuptools 66.0.0 py311h06a4308_0
    - sqlite 3.41.2 h5eee18b_0
    - tbb 2021.8.0 hdb19cb5_0
    - tk 8.6.12 h1ccaba5_0
    - tzdata 2023c h04d1e81_0
    - xz 5.2.10 h5eee18b_1
    - zlib 1.2.13 h5eee18b_0
  run:
    - libgcc-ng >=11.2.0
    - mkl >=2023.1.0,<2024.0a0
    - python >=3.11,<3.12.0a0
test:
  commands:
    - nosetests -v tests
  imports:
    - mkl
  requires:
    - nose
    - six
  source_files:
    - tests
about:
  description: Intel(R) Math Kernel Library (Intel(R) MKL) support functions are subdivided
    into the following groups according to their purpose, such as Version Information
    Threading Control Timing Memory Management Conditional Numerical Reproducibility
    Control Miscellaneous
  dev_url: https://github.com/IntelPython/mkl-service
  doc_url: https://github.com/IntelPython/mkl-service
  home: https://github.com/IntelPython/mkl-service
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE.txt
  summary: Python hooks for Intel(R) Math Kernel Library runtime control settings.
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - oleksandr-pavlyk
